/***************************************************************************** 
 * Project: RooFit                                                           * 
 *                                                                           * 
 * Copyright (c) 2000-2005, Regents of the University of California          * 
 *                          and Stanford University. All rights reserved.    * 
 *                                                                           * 
 * Redistribution and use in source and binary forms,                        * 
 * with or without modification, are permitted according to the terms        * 
 * listed in LICENSE (http://roofit.sourceforge.net/license.txt)             * 
 *****************************************************************************/ 

// -- CLASS DESCRIPTION [PDF] -- 
// Your description goes here... 

#include <iostream> 

#include "RooTest.h" 
#include "RooAbsReal.h" 
#include "TMath.h"


ClassImp(RooTest) 

RooTest::RooTest()
{
  //RooRealVar q2("q2","q2",0.1e3,19e3);
  RooRealVar _q2("q2","q2",0.1,8.);
  RooRealVar _a("a", "a",  -19.122, -30,  0.);
  RooRealVar _b("b", "b", -29.107, -40, 0.);
  RooArgList corrFactors;
  corrFactors.add(_a);// = {_a, _b, _c, _d, _e, _f, _g, _h, _i, _l, _m};
  corrFactors.add(_b);
  RooTest("RooTest", "RooTest", _q2, corrFactors);
}

RooTest::RooTest(const char *name, const char *title, 
	       RooAbsReal& _q2,
	       RooArgList corrFactors):
  RooAbsPdf(name,title),
  q2("q2","q2", this, _q2),
  a("a", "a", this, corrFactors.at(0)),
  b("b", "b", this, corrFactors.at(1))
{
} 

RooTest::RooTest(const RooTest& other, const char* name) :  
  RooAbsPdf(other,name),
  q2("q2",this,other.q2),
  a("a", this, other.a),
  b("b", this, other.b)
{
}

Double_t RooTest::evaluate() const 
{ 
  double value;
  value = a+b;
  return value;
}
