/*****************************************************************************
 * Project: RooFit                                                           *
 *                                                                           *
 * Copyright (c) 2000-2005, Regents of the University of California          *
 *                          and Stanford University. All rights reserved.    *
 *                                                                           *
 * Redistribution and use in source and binary forms,                        *
 * with or without modification, are permitted according to the terms        *
 * listed in LICENSE (http://roofit.sourceforge.net/license.txt)             *
 *****************************************************************************/

#ifndef ROOTEST
#define ROOTEST

#include "RooAbsPdf.h"
#include "RooRealProxy.h"
#include "RooAbsReal.h"
#include "RooRealVar.h" 
#include <complex>

using namespace std; 

class RooTest : public RooAbsPdf {
public:
  
  RooTest();
  
  RooTest(const char *name, const char *title,
	  RooAbsReal& _q2,
	  RooArgList corrFactors
	 );
  
  RooTest(const RooTest& other, const char* name=0) ;
  virtual TObject* clone(const char* newname) const { return new RooTest(*this,newname); }
  inline virtual ~RooTest() { }
  virtual Double_t evaluate() const;

protected:
  RooRealProxy q2;
  RooRealProxy a;
  RooRealProxy b;

private:

  ClassDef(RooTest,1) // Your description goes here...
};
 
#endif
