/***************************************************************************** 
 * Project: RooFit                                                           * 
 *                                                                           * 
 * Copyright (c) 2000-2005, Regents of the University of California          * 
 *                          and Stanford University. All rights reserved.    * 
 *                                                                           * 
 * Redistribution and use in source and binary forms,                        * 
 * with or without modification, are permitted according to the terms        * 
 * listed in LICENSE (http://roofit.sourceforge.net/license.txt)             * 
 *****************************************************************************/ 

// -- CLASS DESCRIPTION [PDF] -- 
// Your description goes here... 

#include <iostream> 

#include "RooTest1.h" 
#include "RooAbsReal.h" 
#include "TMath.h"


ClassImp(RooTest1) 

RooTest1::RooTest1()
{
  //RooRealVar q2("q2","q2",0.1e3,19e3);
  RooRealVar _q2("q2","q2",0.1,8.);
  RooRealVar _a("a", "a",  -19.122, -30,  0.);
  RooRealVar _b("b", "b", -29.107, -40, 0.);
  RooTest1("RooTest1", "RooTest1", _q2, _a, _b);
}

RooTest1::RooTest1(const char *name, const char *title, 
		   RooAbsReal& _q2,
		   RooAbsReal& _a,
		   RooAbsReal& _b
):
  RooAbsPdf(name,title),
  q2("q2","q2", this, _q2),
  a("a", "a", this, _a),
  b("b", "b", this, _b)
{
} 

RooTest1::RooTest1(const RooTest1& other, const char* name) :  
  RooAbsPdf(other,name),
  q2("q2",this,other.q2),
  a("a", this, other.a),
  b("b", this, other.b)
{
}

Double_t RooTest1::evaluate() const 
{ 
  double value;
  value = a+b;
  return value;
}
