/*****************************************************************************
 * Project: RooFit                                                           *
 *                                                                           *
 * Copyright (c) 2000-2005, Regents of the University of California          *
 *                          and Stanford University. All rights reserved.    *
 *                                                                           *
 * Redistribution and use in source and binary forms,                        *
 * with or without modification, are permitted according to the terms        *
 * listed in LICENSE (http://roofit.sourceforge.net/license.txt)             *
 *****************************************************************************/

#ifndef ROOTEST1
#define ROOTEST1

#include "RooAbsPdf.h"
#include "RooRealProxy.h"
#include "RooAbsReal.h"
#include "RooRealVar.h"

using namespace std; 

class RooTest1 : public RooAbsPdf {
public:
  
  RooTest1();
  
  RooTest1(const char *name, const char *title,
	  RooAbsReal& _q2,
	  RooAbsReal& _a,
	  RooAbsReal& _b
	 );
  
  RooTest1(const RooTest1& other, const char* name=0) ;
  virtual TObject* clone(const char* newname) const { return new RooTest1(*this,newname); }
  inline virtual ~RooTest1() { }
  virtual Double_t evaluate() const;

protected:
  RooRealProxy q2;
  RooRealProxy a;
  RooRealProxy b;

private:

  ClassDef(RooTest1,1) // Your description goes here...
};
 
#endif
